サポート

よくあるご質問

オンラインデモ

テクニカルノート

ZWCAD Classic
マニュアル

トップページ

support
Top page > サポート > テクニカルノート > AutoCADのVBアプリケーションをZWCADに移行する方法 
ZWCADの小技64

AutoCADのVBアプリケーションをZWCADに移行する方法

下記のように、AutoCADのVBプログラムの変数宣言部分を変更する必要があります。
(ZWCADのVBサンプルは、ZWCADの開発者用ヘルプをご参照してください。)
   Dim acadApp As AcadApplication
     Dim acadDoc As AcadDocument
   Set acadApp = CreateObject("AutoCAD.Application")

   Dim acadApp As ZwcadApplication
     Dim acadDoc As ZwcadDocument
   Set acadApp = CreateObject("ZWCAD.Application")

ZWCADのVB2008アプリケーションの例

下記のソースファイルは、Button1ボタンのクリックイベントの処理関数です。
ZWCADを起動させて、原点(0,0)から(50,60)まで、線分を引くプログラムです。

test1.dwgをC:\の配下に入れておきます。

'---------------------------------------------------------------------------
Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim zwcadApp As ZwcadApplication
        Dim zwcadDoc As ZwcadDocument

        On Error Resume Next
        zwcadApp = GetObject(, "ZWCAD.Application")
        If Err.Number <> 0 Then
            Err.Clear()
            zwcadApp = CreateObject("ZWCAD.Application")
            If Err.Number <> 0 Then End
        End If
        zwcadApp.Visible = True

        zwcadApp.Documents.Open("c:\test1.dwg")
        zwcadDoc = zwcadApp.ActiveDocument

        Dim lineObj As ZwcadLine
        Dim startPoint(0 To 2) As Double
        Dim endPoint(0 To 2) As Double

        '線分の始点と終点を設定する
        startPoint(0) = 0.0# : startPoint(1) = 0.0# : startPoint(2) = 0.0#
        endPoint(0) = 50.0# : endPoint(1) = 60.0# : endPoint(2) = 0.0#

        'モデル空間で、startPointからendPointまで線分を引く
        lineObj = zwcadDoc.ModelSpace.AddLine(startPoint, endPoint)
    End Sub
End Class
'---------------------------------------------------------------------------

「プロジェクト」メニュー→「プロパティ」をクリックして、下記のような画面で、Import設定と参照を追加します。

VBの設定

このプログラムを実行させると、ZWCADが起動されて、線分が引かれます。